Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2141510 - CVE-2022-41741 nginx:1.20/nginx: Memory corruption in the ngx_http_mp4_module [fedora-all]
Summary: CVE-2022-41741 nginx:1.20/nginx: Memory corruption in the ngx_http_mp4_module...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nginx
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-41741
TreeView+ depends on / blocked
 
Reported: 2022-11-10 05:00 UTC by Sandipan Roy
Modified: 2022-11-19 00:36 UTC (History)
9 users (show)

Fixed In Version: nginx-1.20-3720221110171337.9e842022 nginx-1.20-3520221110171337.f27b74a8 nginx-1.20-3620221110171337.5e5ad4a0
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-19 00:20:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-11-10 05:00:36 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2141495

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2022-11-10 05:00:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2141495,2141510

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-11-10 17:49:54 UTC
FEDORA-MODULAR-2022-d50a9f774e has been submitted as an update to Fedora 37 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-d50a9f774e

Comment 3 Fedora Update System 2022-11-10 17:49:56 UTC
FEDORA-MODULAR-2022-4f8cc50239 has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-4f8cc50239

Comment 4 Fedora Update System 2022-11-10 17:49:59 UTC
FEDORA-MODULAR-2022-3e72c6af14 has been submitted as an update to Fedora 36 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-3e72c6af14

Comment 5 Fedora Update System 2022-11-11 00:38:06 UTC
FEDORA-MODULAR-2022-d50a9f774e has been pushed to the Fedora 37 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-d50a9f774e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-11-11 00:49:28 UTC
FEDORA-MODULAR-2022-4f8cc50239 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-4f8cc50239

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-11-11 01:05:39 UTC
FEDORA-MODULAR-2022-3e72c6af14 has been pushed to the Fedora 36 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-3e72c6af14

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-11-19 00:20:10 UTC
FEDORA-MODULAR-2022-d50a9f774e has been pushed to the Fedora 37 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-11-19 00:27:11 UTC
FEDORA-MODULAR-2022-4f8cc50239 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-11-19 00:36:36 UTC
FEDORA-MODULAR-2022-3e72c6af14 has been pushed to the Fedora 36 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.